Multivariate Pattern Analysis in Python

# mvpa2.testing.tools.assert_datasets_almost_equal

`mvpa2.testing.tools.``assert_datasets_almost_equal`(x, y, ignore_a={}, ignore_sa={}, ignore_fa={}, decimal=6)

  Parameters:

  x, y: Dataset

  > Two datasets that are asserted to be almost equal.

  ignore_a, ignore_sa, ignore_fa: iterable

  > Differences in values of which attributes to ignore

  decimal: int or None (default: 6)

  > Number of decimal up to which equality of samples is considered. If None, it is required that x.samples and y.samples have the same dtype